Package org.apache.batchee.hazelcast

## Class HazelcastLockBatchlet

- java.lang.Object
- - org.apache.batchee.hazelcast.HazelcastSynchroInstanceAware
  - - org.apache.batchee.hazelcast.HazelcastLockBatchlet

- All Implemented Interfaces:
    `javax.batch.api.Batchlet`

      public class HazelcastLockBatchlet
      extends HazelcastSynchroInstanceAware
      implements javax.batch.api.Batchlet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `tryDuration` |
    `protected String` | `tryDurationUnit` |

    - ### Fields inherited from class org.apache.batchee.hazelcast.HazelcastSynchroInstanceAware

      `instanceName, local, lockName, xmlConfiguration`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HazelcastLockBatchlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `process()` |
    `void` | `stop()` |
    `protected String` | `tryDurationUnit()` |

    - ### Methods inherited from class org.apache.batchee.hazelcast.HazelcastSynchroInstanceAware

      `findLock, instance, instanceName, lockName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tryDuration

          @Inject
          protected String tryDuration

    - #### tryDurationUnit

          @Inject
          protected String tryDurationUnit

  - ### Constructor Detail

    - #### HazelcastLockBatchlet

          public HazelcastLockBatchlet()

  - ### Method Detail

    - #### process

          public String process()
                         throws Exception

      Specified by:
        `process` in interface `javax.batch.api.Batchlet`
      Throws:
        `Exception`

    - #### tryDurationUnit

          protected String tryDurationUnit()

    - #### stop

          public void stop()
                    throws Exception

      Specified by:
        `stop` in interface `javax.batch.api.Batchlet`
      Throws:
        `Exception`